{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Last Users
{% endblock %}

{% block content %}
{{ block.super }}
    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|safe }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}

    <table cellpadding="0" cellspacing="0" border="1" class="display" id="userTable">
        <thead>
        <tr>
            <th>User</th>
            <th>Name</th>
            <th></th>
            <th>Join</th>
            <th>Last Login</th>
        </tr>
        </thead>
        <tbody>

        {% for user in object_list %}
            <tr>
                <td>
                    {{ user }}
                </td>
                <td>
                    {{ user.last_name }}
                </td>
                <td>
                    {{ user.first_name }}
                </td>
                <td>
                    {{ user.date_joined }}
                </td>
                <td>
                    {{ user.last_login }}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}


{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>

    <script>
        $(document).ready(function () {
            $('#userTable').dataTable({
                "aaSorting": [
                    [ 0, "desc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
